package com.junmp.jyzb.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.junmp.jyzb.entity.Shelf;
import com.junmp.jyzb.entity.WarehouseArea;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface ShelfMapper extends BaseMapper<Shelf> {
    void addShelf(Shelf shelf);

    void updateShelf(Shelf shelf);

    void deleteShelf(String shelfId);

    List<Map<String, Object>> getShelfList(Shelf shelf);
}